Imports Telerik.TestingFramework.Controls.KendoUI
Imports Telerik.WebAii.Controls.Html
Imports Telerik.WebAii.Controls.Xaml
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Linq

Imports ArtOfTest.Common.UnitTesting
Imports ArtOfTest.WebAii.Core
Imports ArtOfTest.WebAii.Controls.HtmlControls
Imports ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts
Imports ArtOfTest.WebAii.Design
Imports ArtOfTest.WebAii.Design.Execution
Imports ArtOfTest.WebAii.ObjectModel
Imports ArtOfTest.WebAii.Silverlight
Imports ArtOfTest.WebAii.Silverlight.UI


    '
    ' You can add custom execution steps by simply
    ' adding a 'Sub' routine and decorating it with the <CodedStep("Description")>
    ' attribute to the test method. 
    ' Those steps will automatically show up in the test steps on save.
    '
    ' The BaseWebAiiTest exposes all key objects that you can use
    ' to access the current testcase context. [i.e. ActiveBrowser, Find ..etc]
    '
    ' Data driven tests can use the Data(columnIndex) or Data("columnName") 
    ' to access data for a specific data iteration.
    '
    ' Example:
    '
    ' <CodedStep("MyCustom Step Description")> Public Sub MyTestMethod()
    ' 
    '       // Custom code goes here
    '      ActiveBrowser.NavigateTo("http://www.google.com")
    '
    '       // Or
    '       ActiveBrowser.NavigateTo(Data("url"))
    '
    ' End Sub
    '
Public Class Testgridsorting
    Inherits BaseWebAiiTest

#Region "[ Dynamic Pages Reference ]"

    Private _pages As Pages

    '''<summary>
    ''' Gets the Pages object that has references
    ''' to all the elements, frames or regions
    ''' in this project.
    '''</summary>
    Public ReadOnly Property Pages() As Pages
        Get
            If (_pages Is Nothing) Then
                _pages = New Pages(Manager.Current)
            End If
            Return _pages
        End Get
    End Property

#End Region

    ' Add your test methods here...

    <CodedStep("New Coded Step")> _
    Public Sub Test_grid_sorting_CodedStep()

        Dim grid As RadGrid = Find.ById(Of RadGrid)("RadGrid1")
        Dim itemCount As Integer = grid.MasterTable.Rows.Count
        Dim testColumnIndex As Integer = 1

        Dim referenceValuesList As New List(Of String)
        Dim gridValuesList As New List(Of String)

        For i As Integer = 0 To itemCount - 1

            Dim row As HtmlTableRow = grid.MasterTable.Rows(i)

            Dim cell As HtmlTableCell = row.Cells(testColumnIndex)

            Dim cellValue As String = cell.InnerText

            referenceValuesList.Add(cellValue)
            gridValuesList.Add(cellValue)

        Next

        referenceValuesList.Sort()

        ArtOfTest.Common.UnitTesting.Assert.IsTrue(referenceValuesList.SequenceEqual(gridValuesList))

    End Sub

End Class